Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
agora::rtc::AudioEncFrameRecvParams Struct Reference

`#include <NGIAgoraAudioTrack.h>`

## Public Types
enum | ReceiveMode { ORIGINAL = 0 , MATCHED_CODEC = 1 , MATCHED_ALL = 2 }

## Public Member Functions
| AudioEncFrameRecvParams ()
| AudioEncFrameRecvParams (const AudioEncFrameRecvParams &src_params)

## Public Attributes
ReceiveMode | receive_mode
AUDIO_CODEC_TYPE | target_codec
int32_t | target_sample_rate
int32_t | target_num_channels

## Detailed Description

Properties of receive parameters for IAudioEncodedFrameReceiver

## Member Enumeration Documentation

## ◆ ReceiveMode

enum agora::rtc::AudioEncFrameRecvParams::ReceiveMode

The callback mode of IAudioEncodedFrameReceiver

Enumerator
ORIGINAL | IAudioEncodedFrameReceiver callback the down-link audio packet directly
MATCHED_CODEC | IAudioEncodedFrameReceiver whill callback the original down-link audio packet while the codec of down-link packet is same as target_codec. Othewise convert down-link audio packet to new target packet which parameter contain the combination of (target_codec, target_sample_rate, target_sample_rate).
MATCHED_ALL | IAudioEncodedFrameReceiver whill callback the original down-link audio packet while the combination of (codec, sampling rate, channels) of down-link packet is same as the combination of (target_codec, target_sample_rate, target_sample_rate). Othewise convert down-link audio packet to new target packet which parameter contain the combination of (target_codec, target_sample_rate, target_sample_rate).

## Constructor & Destructor Documentation

## ◆ AudioEncFrameRecvParams() [1/2]

agora::rtc::AudioEncFrameRecvParams::AudioEncFrameRecvParams | ( |  | ) |
| inline

## ◆ AudioEncFrameRecvParams() [2/2]

agora::rtc::AudioEncFrameRecvParams::AudioEncFrameRecvParams | ( | const AudioEncFrameRecvParams & | src_params | ) |
| inline

## Member Data Documentation

## ◆ receive_mode

ReceiveMode agora::rtc::AudioEncFrameRecvParams::receive_mode

The trans mode of audio packet

## ◆ target_codec

AUDIO_CODEC_TYPE agora::rtc::AudioEncFrameRecvParams::target_codec

The audio codec of target audio packet

## ◆ target_sample_rate

int32_t agora::rtc::AudioEncFrameRecvParams::target_sample_rate

The sample rate HZ of target audio packet

## ◆ target_num_channels

int32_t agora::rtc::AudioEncFrameRecvParams::target_num_channels

The channel numbers of target audio packet